//using C++17

#include <cmath>
#include<iostream>

template<typename ...Args>
void println(const Args& ...args){
    ((std::cout<<args<<" "),...);
    std::cout<<"\n";
}

int main(){
    println("Hello,World!","-by","Zengtudor");
    println("End");
    println(std::pow(2,10));
}

/*
Hello,World! -by Zengtudor 
End
*/